
Foreman - Bug #10546

Reduce the number of interfaces duplicates

05/19/2015 04:48 AM - Julien Pivotto

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Network   

Target version:    

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2392

  

Description

When the mac address of an interface changes, it gets duplicate. Example with a bonding interface which has mac address

ff:ff:ff:ff:ff:ff when down. We should handle that in a better way and avoid as much duplicates as possible.

Related issues:

Related to Foreman - Bug #10805: VLAN interface attached to bond is wrongly c... Closed 06/13/2015

Related to Foreman - Bug #10888: duplicate interfaces when using bond device Closed 06/20/2015

Related to Foreman - Bug #10607: bonding on ubuntu causes foreman to create a... Closed 05/26/2015

History

#1 - 05/19/2015 04:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2392 added

- Pull request deleted ()

#2 - 05/19/2015 04:50 AM - Julien Pivotto

https://github.com/theforeman/foreman/pull/2392/files

#3 - 05/19/2015 04:56 AM - Julien Pivotto

- Category set to Network

- Difficulty set to easy

#4 - 05/19/2015 06:38 AM - Marek Hulán

This was on purpose because we can't really say whether interface got different mac or there's new one with the same mac. Note that vlans, aliases

and bonds has the same mac of physical interface they're attached to. Seems like bonds would need special treatment, other virtual interfaces that

are down were not part of facts upload. Could you please upload example of facter output with bond that's down? I think the PR does not solve the

issue properly. I'm afraid we don't even import bond interfaces as bonds but generic managed interface.

#5 - 05/19/2015 02:50 PM - Julien Pivotto

Bond interfaces are imported as bond -- they are recognized by their name in the FactParser. When the bond is down the facter output is the same --

just that the bond mac address is blank.

"This was on purpose because we can't really say whether interface got different mac or there's new one with the same mac. "

My proposal is just to pick the interface with the same mac address and name, if not the interface with the mac address if the mac address is not

blank, and then only pick the name.

In Linux the unique identifier for an interface is the name. The mac address can be shared, like you said.

#6 - 06/18/2015 11:01 AM - Marek Hulán

- Related to Bug #10805: VLAN interface attached to bond is wrongly created as Bond added
https://github.com/theforeman/foreman/pull/2392/files


#7 - 06/22/2015 03:07 AM - Marek Hulán

- Related to Bug #10888: duplicate interfaces when using bond device added

#8 - 06/25/2015 08:20 AM - Marek Hulán

- Status changed from Ready For Testing to Duplicate

I think this will be solved by #10888 and #10607 setting as a duplicate. If you experience the same issue after these two are merged, please reopen.

#9 - 06/25/2015 08:22 AM - Marek Hulán

- Related to Bug #10607: bonding on ubuntu causes foreman to create an interface after each ubuntu server reboot added
